Merge branch 'maint'
authorStefano Lattarini <stefano.lattarini@gmail.com>
Thu, 28 Jun 2012 11:27:49 +0000 (13:27 +0200)
committerStefano Lattarini <stefano.lattarini@gmail.com>
Thu, 28 Jun 2012 11:37:53 +0000 (13:37 +0200)
* maint:
  tests: simpler workaround for shells losing the exit status in exit trap

+ Extra non-trivial edits:
* Several tests: Adjusted to use 'exit' rather than 'Exit'.

Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
97 files changed:
1  2 
configure.ac
syntax-checks.mk
t/ac-output-old.tap
t/aclocal-acdir.sh
t/aclocal-autoconf-version-check.sh
t/aclocal-path-precedence.sh
t/aclocal-print-acdir.sh
t/acsilent.sh
t/am-missing-prog.sh
t/aminit-moreargs-no-more.sh
t/ax/tap-summary-aux.sh
t/ax/test-init.sh
t/ax/testsuite-summary-checks.sh
t/backcompat-acout.sh
t/check-exported-srcdir.sh
t/check-no-test-driver.sh
t/check-subst.sh
t/check-tests-in-builddir.sh
t/check8.sh
t/comment7.sh
t/compile_f_c_cxx.sh
t/confh-subdir-clean.sh
t/confh.sh
t/confh4.sh
t/confh6.sh
t/confh7.sh
t/confh8.sh
t/confsub.sh
t/cygnus-no-more.sh
t/depend5.sh
t/dirlist.sh
t/dirlist2.sh
t/dist-auxdir-many-subdirs.sh
t/distcom4.sh
t/dollarvar.sh
t/ext.sh
t/flavor.sh
t/gettext-macros.sh
t/help-silent.sh
t/instdir-texi.sh
t/java-compile-run-flat.sh
t/java-compile-run-nested.sh
t/man6.sh
t/missing-version-mismatch.sh
t/missing3.sh
t/nodep2.sh
t/objc-flags.sh
t/objc-megademo.sh
t/objcxx-basic.sh
t/objcxx-deps.sh
t/objcxx-flags.sh
t/objcxx-minidemo.sh
t/parallel-tests-driver-install.sh
t/parallel-tests-dry-run-1.sh
t/parallel-tests-dry-run-2.sh
t/parallel-tests-interrupt.tap
t/parallel-tests-many.sh
t/parallel-tests-no-color-in-log.sh
t/parallel-tests-reset-term.sh
t/parallel-tests-subdir.sh
t/perf/testsuite-summary.sh
t/remake-aclocal-version-mismatch.sh
t/remake6.sh
t/req.sh
t/self-check-explicit-skips.sh
t/silent-configsite.sh
t/silent-lex.sh
t/silent-many-gcc.sh
t/silent-many-generic.sh
t/silent-yacc-headers.sh
t/silent-yacc.sh
t/silent.sh
t/silent2.sh
t/silent3.sh
t/silent4.sh
t/silent6.sh
t/silent7.sh
t/silent8.sh
t/silent9.sh
t/silentcxx-gcc.sh
t/silentcxx.sh
t/silentf77.sh
t/silentf90.sh
t/stamph2.sh
t/tap-doc2.sh
t/test-driver-is-distributed.sh
t/test-metadata-global-log.sh
t/tests-environment-backcompat.sh
t/txinfo-no-clutter.sh
t/txinfo13.sh
t/txinfo21.sh
t/txinfo23.sh
t/txinfo24.sh
t/txinfo25.sh
t/txinfo28.sh
t/txinfo33.sh
t/vtexi4.sh

diff --cc configure.ac
Simple merge
Simple merge
Simple merge
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Test aclocal's '--acdir', '--automake-acdir' and '--system-acdir'
 -# options.  Also check that stuff in the automake acdir takes precedence
 -# over stuff in the system acdir.
 +# Test aclocal's '--automake-acdir' and '--system-acdir' options.  Also
 +# check that stuff in the automake acdir takes precedence over stuff in
 +# the system acdir.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  mkdir am sys
  
@@@ -70,6 -70,26 +70,6 @@@ $ACLOCAL --automake-acdir am --system-a
  $AUTOCONF --force
  $FGREP 'fake--init--automake' configure
  $FGREP 'am--macro' configure
- $FGREP 'my--macro' configure && Exit 1 # Just to be sure.
+ $FGREP 'my--macro' configure && exit 1 # Just to be sure.
  
 -rm -rf autom4te*.cache
 -
 -# Obsolescent '--acdir' option.
 -$ACLOCAL -Wobsolete --acdir am 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep '.*--acdir.*deprecated' stderr
 -
 -rm -rf autom4te*.cache
 -
 -$ACLOCAL -Wno-obsolete --acdir am
 -$AUTOCONF --force
 -$FGREP 'fake--init--automake' configure
 -$FGREP 'am--macro' configure
 -
 -rm -rf autom4te*.cache
 -
 -$ACLOCAL -Wno-obsolete --acdir sys 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep 'macro .*AM_INIT_AUTOMAKE.* not found' stderr
 -
  :
Simple merge
Simple merge
Simple merge
diff --cc t/acsilent.sh
  
  # Test to make sure there are no spurious acinclude warnings.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >configure.ac <<EOF
 -AC_INIT
 +AC_INIT([$me], [1.0])
  AM_INIT_GUILE_MODULE
  EOF
  
Simple merge
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Check that automake warns against old-style usages of AM_INIT_AUTOMAKE
 -# (i.e., calls with two or three arguments).
 +# Check that automake error out (with an helpful error message) against
 +# old-style usages of AM_INIT_AUTOMAKE (i.e., calls with two or three
 +# arguments).
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -warn_rx='AM_INIT_AUTOMAKE.* two-.* three-arguments form.*deprecated'
 +warn_rx='AM_INIT_AUTOMAKE.* old-style two-.* three-arguments form.*unsupported'
 +
 +$ACLOCAL
 +mv aclocal.m4 aclocal.sav
  
  cat > configure.ac <<'END'
  AC_INIT([Makefile.am])
@@@ -34,11 -30,13 +34,11 @@@ EN
  do_check()
  {
    rm -rf autom4te*.cache
 -  for cmd in "$AUTOCONF" "$AUTOMAKE"; do
 -    $cmd -Werror -Wnone -Wobsolete 2>stderr && { cat stderr; exit 1; }
 +  for cmd in "$ACLOCAL" "$AUTOCONF" "$AUTOMAKE"; do
 +    cp aclocal.sav aclocal.m4
-     $cmd -Wnone -Wno-error 2>stderr && { cat stderr; Exit 1; }
++    $cmd -Wnone -Wno-error 2>stderr && { cat stderr; exit 1; }
      cat stderr >&2
      grep "^configure\.ac:2:.*$warn_rx" stderr
 -    $cmd -Werror -Wall -Wno-obsolete || exit 1
    done
  }
  
Simple merge
Simple merge
Simple merge
Simple merge
Simple merge
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  # Check that auxiliary script 'test-driver' doesn't get needlessly
 -# installed or referenced when the 'parallel-tests' option is not
 -# used.
 +# installed or referenced when the 'serial-tests' option is used.
  
  am_serial_tests=yes
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -echo 'TESTS = foo.test' > Makefile.am
 +cat > Makefile.am <<'END'
 +AUTOMAKE_OPTIONS = serial-tests
 +TESTS = foo.test
 +END
  
  $ACLOCAL
  
Simple merge
@@@ -52,10 -52,10 +52,10 @@@ exit 
  END
  chmod a+x bar.test
  
- $MAKE check >out 2>&1 || { cat out; Exit1; }
+ $MAKE check >out 2>&1 || { cat out; exit 1; }
  cat out
 -# The simple-tests driver does not strip VPATH components from
 -# the name of the test, but the parallel-tests driver should.
 +# The serial test driver does not strip VPATH components from
 +# the name of the test, but the parallel driver should.
  if test x"$am_serial_tests" = x"yes"; then
    grep '^PASS: .*foo\.test *$' out
  else
@@@ -66,10 -66,10 +66,10 @@@ grep '^PASS: bar\.test *$' ou
  
  rm -f test-suite.log foo.log bar.log
  
- FOO_EXIT_STATUS=1 $MAKE check >out 2>&1 && { cat out; Exit1; }
+ FOO_EXIT_STATUS=1 $MAKE check >out 2>&1 && { cat out; exit 1; }
  cat out
 -# The simple-tests driver does not strip VPATH components from
 -# the name of the test, but the parallel-tests driver should.
 +# The serial test driver does not strip VPATH components from
 +# the name of the test, but the parallel driver should.
  if test x"$am_serial_tests" = x"yes"; then
    grep '^FAIL: .*foo\.test *$' out
  else
diff --cc t/check8.sh
@@@ -75,10 -75,10 +75,10 @@@ grep '^[^X]*PASS.* bar' stdou
  grep '^[^X]*PASS.* sub/bar' stdout
  grep '^[^X]*FAIL.* baz' stdout
  grep 'XFAIL.* sub/baz' stdout
 -# 'parallel-tests' should not add circular dependencies.
 +# The parallel test driver should cause circular dependencies.
  # Look for known warnings from a couple of 'make' implementations.
- grep -i 'circular.*dependency' stderr && Exit 1
- grep -i 'graph cycles' stderr && Exit 1
+ grep -i 'circular.*dependency' stderr && exit 1
+ grep -i 'graph cycles' stderr && exit 1
  
  $MAKE distclean
  
diff --cc t/comment7.sh
Simple merge
Simple merge
  
  # Test to make sure config headers in subdirectories are cleaned.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -AM_CONFIG_HEADER([sub/config.h:sub/config.hin])
 +AC_CONFIG_HEADERS([sub/config.h:sub/config.hin])
  AC_OUTPUT
  END
  
diff --cc t/confh.sh
  # Test to make sure config.h works in a subdir.
  # Report from Alexandre Oliva.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -AM_CONFIG_HEADER([include/config.h])
 +AC_CONFIG_HEADERS([include/config.h])
  AC_OUTPUT
  END
  
diff --cc t/confh4.sh
Simple merge
diff --cc t/confh6.sh
  # idea is that if config.h is in a subdir, and there is no Makefile in
  # that subdir, then we want to build config.h as the top level.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -AM_CONFIG_HEADER([subdir/config.h])
 +AC_CONFIG_HEADERS([subdir/config.h])
  AC_OUTPUT
  END
  
diff --cc t/confh7.sh
  # Test to make sure several config headers are allowed.
  # See also sister "semantic" test 'confh8.test'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -AM_CONFIG_HEADER([config.h two.h])
 +AC_CONFIG_HEADERS([config.h two.h])
  END
  
  : > Makefile.am
diff --cc t/confh8.sh
  # Test to make sure several config headers are allowed.
  # See also sister "minimalistic" test 'confh7.test'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -AM_CONFIG_HEADER([one.h two.h])
 +AC_CONFIG_HEADERS([one.h two.h])
  AC_OUTPUT
  END
  
diff --cc t/confsub.sh
Simple merge
  # That feature will be removed in the next major Automake release.
  # See automake bug#11034.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -warn_rx='support for Cygnus.*trees.*deprecated'
 -
 -cat >> configure.ac <<'END'
 -AC_PROG_CC
 -AM_MAINTAINER_MODE
 -END
 +warn_rx='support for Cygnus.*trees.*removed'
  
  $ACLOCAL
 -$AUTOCONF
 -
 -: > Makefile.am
  
 -# 'cygnus' option from command line
 -$AUTOMAKE --cygnus -Wno-obsolete
 -AUTOMAKE_fails --cygnus
 -grep "^automake.*: .*$warn_rx" stderr
 -AUTOMAKE_fails -Wnone -Wobsolete --cygnus
 -grep "^automake.*: .*$warn_rx" stderr
 -AUTOMAKE_fails --cygnus -Wnone -Wobsolete
 -grep "^automake.*: .*$warn_rx" stderr
 -
 -rm -rf autom4te*.cache
 +# Use of 'cygnus' option must raise an unconditional error, not a
 +# warning.
 +AUTOMAKE="$am_original_AUTOMAKE -Wnone -Wno-error"
  
  # 'cygnus' option in Makefile.am
  echo "AUTOMAKE_OPTIONS = cygnus" > Makefile.am
diff --cc t/depend5.sh
Simple merge
diff --cc t/dirlist.sh
  
  # Check dirlist support.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat > configure.ac <<EOF
 -AC_INIT
 +AC_INIT([$me], [1.0])
  AM_INIT_GUILE_MODULE
  EOF
  
diff --cc t/dirlist2.sh
  
  # Check dirlist globbing support.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat > configure.ac <<EOF
 -AC_INIT
 +AC_INIT([$me], [1.0])
  AM_INIT_GUILE_MODULE
  AM_FOO_BAR
  EOF
Simple merge
diff --cc t/distcom4.sh
@@@ -18,8 -18,9 +18,8 @@@
  # This tries to distribute a file from a subdirectory, without
  # Makefile in that directory.  distcom5.test performs the same
  # test with a Makefile in the directory.
 -# Also make sure that README appears first in DIST_COMMON.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
     AC_CONFIG_FILES([tests/autoconf:tests/wrapper.in],
diff --cc t/dollarvar.sh
Simple merge
diff --cc t/ext.sh
Simple merge
diff --cc t/flavor.sh
Simple merge
Simple merge
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Make sure that our macro 'AM_SILENT_RULES' adds proper text to
 -# the configure help screen.
 +# Make sure configure options relative to automake silent rules are
 +# added to the configure help screen.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -cat > configure.ac <<END
 -AC_INIT([$me], [1.0])
 -AM_SILENT_RULES
 -END
 -
 +: > Makefile.am
  $ACLOCAL
  
 -mv -f configure.ac configure.tmpl
 +cp configure.ac configure.tmpl
  
 -for args in '' '([])' '([yes])' '([no])'; do
 -  sed "s/AM_SILENT_RULES.*/&$args/" configure.tmpl >configure.ac
 -  cat configure.ac
 +for args in '' 'yes' 'no'; do
 +  cp -f configure.tmpl configure.ac
 +  test x"$args" = x || echo "AM_SILENT_RULES([$args])/" >> configure.ac
 +  cat configure.ac # For debugging.
    $AUTOCONF --force
    grep_configure_help --enable-silent-rules \
                        ' less verbose build.*\(undo.*"make V=1".*\)'
@@@ -17,8 -17,8 +17,8 @@@
  # If $(infodir) is the empty string, then nothing should be installed there.
  # Likewise for the other install-* targets used for texinfo files.
  
 -required='makeinfo-html tex texi2dvi'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  dvips --help \
    || skip_ "dvips is missing"
Simple merge
  # Also meddle with wrapper scripts, as would be probably seen in a real
  # "UNIX-style" use case.
  # This test uses a typical "nested" source tree setup (i.e., different
 -# components/aspects are separated into different subdirectories),
 -# and uses the 'parallel-tests' testsuite driver.  The sister test
 -# 'java-compile-run-flat.test' do similar checks with a "flat" setup
 -# (i.e., everything in the top-level directory), and forcing the use
 -# of the older non-parallel 'simple-tests' driver.
 +# components/aspects are separated into different subdirectories), and
 +# uses the parallel testsuite driver.
 +# The sister test 'java-compile-run-flat.test' do similar checks with a
 +# "flat" setup (i.e., everything in the top-level directory), and forcing
 +# the use of the older 'serial-tests' driver.
  
  required='java javac'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  echo "AC_SUBST([PATH_SEPARATOR], ['$PATH_SEPARATOR'])" >> configure.ac
  
diff --cc t/man6.sh
Simple merge
  
  # Test missing with version mismatches.
  
- . ./defs || Exit 1
 +am_create_testdir=empty
+ . ./defs || exit 1
  
 -cat >>configure.ac <<'EOF'
 -m4_include([v.m4])
 -AC_OUTPUT
 -EOF
 +get_shell_script missing
  
 -: > v.m4
 +do_check ()
 +{
 +  progname=$1; shift;
-   ./missing "$@" 2>stderr && { cat stderr >&2; Exit 1; }
++  ./missing "$@" 2>stderr && { cat stderr >&2; exit 1; }
 +  cat stderr >&2
 +  $FGREP "WARNING: '$progname' is probably too old." stderr
 +}
  
 -: > Makefile.am
 +echo 'AC_INIT([x], [1.0]) AC_PREREQ([9999])' >> configure.ac
  
 -get_shell_script missing
 +do_check autoconf               $AUTOCONF
 +do_check autoheader             $AUTOHEADER
 +do_check aclocal-$APIVERSION    $am_original_ACLOCAL
 +
 +cat > configure.ac << 'END'
 +AC_INIT([x], [0])
 +AM_INIT_AUTOMAKE
 +AC_CONFIG_FILES([Makefile])
 +END
  
 +echo AUTOMAKE_OPTIONS = 9999.9999 > Makefile.am
  $ACLOCAL
 -$AUTOCONF
 -$AUTOMAKE --add-missing
 -
 -# See missing.test for explanations about this.
 -MYAUTOCONF="./missing --run $AUTOCONF"
 -unset AUTOCONF
 -
 -./configure AUTOCONF="$MYAUTOCONF"
 -
 -$MAKE
 -$sleep
 -# Hopefully the install version of Autoconf cannot compete with this one...
 -echo 'AC_PREREQ(9999)' > v.m4
 -$MAKE distdir
 -
 -# Run again, but without missing, to ensure that timestamps were updated.
 -export AUTOMAKE ACLOCAL
 -./configure AUTOCONF="$MYAUTOCONF"
 -$MAKE
 -
 -# Make sure $MAKE fail when timestamps aren't updated and missing is not used.
 -$sleep
 -touch v.m4
 -$MAKE && exit 1
 +: > install-sh
 +# FIXME: this doesn't work due to a bug in automake (not 'missing').
 +#do_check automake-$APIVERSION  $am_original_AUTOMAKE
  
  :
diff --cc t/missing3.sh
@@@ -23,26 -23,31 +23,26 @@@ get_shell_script missin
  
  # b7cb8259 assumed not to exist.
  
 -./missing b7cb8259 --version 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep . stderr && exit 1
 -./missing b7cb8259 --grep 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep WARNING stderr
 -
 -./missing --run b7cb8259 --version && exit 1
 -./missing --run b7cb8259 --grep 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep WARNING stderr
 +run_cmd ()
 +{
 +  st=0; "$@" >stdout 2>stderr || st=$?
 +  cat stdout
 +  cat stderr >&2
 +  return $st
 +}
 +
- ./missing b7cb8259 --version && Exit 1
- grep WARNING stderr && Exit 1
- run_cmd ./missing b7cb8259 --grep && Exit 1
++./missing b7cb8259 --version && exit 1
++grep WARNING stderr && exit 1
++run_cmd ./missing b7cb8259 --grep && exit 1
 +grep 'WARNING:.*missing on your system' stderr
  
  # missing itself it known to exist :)
  
- run_cmd ./missing ./missing --version || Exit 1
 -./missing ./missing --version 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep . stderr && exit 1
 -./missing ./missing --grep 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep WARNING stderr
 -
 -./missing --run ./missing --version 2>stderr || { cat stderr >&2; exit 1; }
 -cat stderr >&2
 -grep . stderr && exit 1
 -./missing --run ./missing --grep 2>stderr && { cat stderr >&2; exit 1; }
 -cat stderr >&2
++run_cmd ./missing ./missing --version || exit 1
 +grep 'missing .*(GNU [aA]utomake)' stdout
- test -s stderr && Exit 1
- run_cmd ./missing ./missing --grep && Exit 1
- grep WARNING stderr && Exit 1
++test -s stderr && exit 1
++run_cmd ./missing ./missing --grep && exit 1
+ grep WARNING stderr && exit 1
 -grep Unknown stderr
 +grep "missing:.* unknown '--grep'" stderr
 +
 +:
diff --cc t/nodep2.sh
Simple merge
diff --cc t/objc-flags.sh
@@@ -52,11 -52,11 +52,11 @@@ $AUTOCON
  $AUTOMAKE -a
  
  $FGREP OBJCFLAGS Makefile.in # For debugging.
- grep '\$(OBJCFLAGS).*\$(AM_OBJCFLAGS)'       Makefile.in && Exit 1
- grep '\$(OBJCFLAGS).*\$(foo.*_OBJCFLAGS)'    Makefile.in && Exit 1
- grep '\$(foo.*_OBJCFLAGS).*\$(AM_OBJCFLAGS)' Makefile.in && Exit 1
+ grep '\$(OBJCFLAGS).*\$(AM_OBJCFLAGS)'       Makefile.in && exit 1
+ grep '\$(OBJCFLAGS).*\$(foo.*_OBJCFLAGS)'    Makefile.in && exit 1
+ grep '\$(foo.*_OBJCFLAGS).*\$(AM_OBJCFLAGS)' Makefile.in && exit 1
  
  ./configure OBJCFLAGS=-UERROR
 -$MAKE 
 +$MAKE
  
  :
Simple merge
Simple merge
  # Automatic dependency tracking for Objective C++.
  # See also sister test 'objc-deps.sh'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -dnl Support for Object C++ was introduced only in Autoconf 2.65.
 -AC_PREREQ([2.65])
  AC_PROG_OBJCXX
  AC_OUTPUT
  END
  # Test Objective C++ compilation flags.
  # See also sister test 'objc-flags.sh'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -dnl Support for Object C++ was introduced only in Autoconf 2.65.
 -AC_PREREQ([2.65])
  AC_PROG_OBJCXX
  AC_OUTPUT
  END
@@@ -53,11 -62,11 +53,11 @@@ $AUTOCON
  $AUTOMAKE -a
  
  $FGREP OBJCXXFLAGS Makefile.in # For debugging.
- grep '\$(OBJCXXFLAGS).*\$(AM_OBJCXXFLAGS)'       Makefile.in && Exit 1
- grep '\$(OBJCXXFLAGS).*\$(foo.*_OBJCXXFLAGS)'    Makefile.in && Exit 1
- grep '\$(foo.*_OBJCXXFLAGS).*\$(AM_OBJCXXFLAGS)' Makefile.in && Exit 1
+ grep '\$(OBJCXXFLAGS).*\$(AM_OBJCXXFLAGS)'       Makefile.in && exit 1
+ grep '\$(OBJCXXFLAGS).*\$(foo.*_OBJCXXFLAGS)'    Makefile.in && exit 1
+ grep '\$(foo.*_OBJCXXFLAGS).*\$(AM_OBJCXXFLAGS)' Makefile.in && exit 1
  
  ./configure OBJCXXFLAGS=-UERROR
 -$MAKE 
 +$MAKE
  
  :
  # See also sister test 'objc-minidemo.sh'.
  
  required=native
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
 -dnl Support for Object C++ was introduced only in Autoconf 2.65.
 -AC_PREREQ([2.65])
  AC_PROG_OBJCXX
  AC_CONFIG_HEADERS([config.h])
  AC_OUTPUT
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  # Check that auxiliary script 'test-driver' gets automatically installed
 -# in the correct directory by 'parallel-tests' option.
 +# in the correct directory.
  
- . ./defs || Exit 1
 +am_create_testdir=empty
+ . ./defs || exit 1
  
 -: Try first with parallel-tests defined in AM_INIT_AUTOMAKE.
 -
 -mkdir am-init-automake
 -cd am-init-automake
 -
  cat > configure.ac <<END
  AC_INIT([$me], [1.0])
  AC_CONFIG_AUX_DIR([my_aux_dir])
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Check parallel-tests interactions with "make -n".
 +# Check interactions between the parallel test harness and "make -n".
  # See also sister test 'parallel-tests-dry-run-2.test'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  echo AC_OUTPUT >> configure.ac
  
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Check parallel-tests interactions with "make -n".
 +# Check interactions between the parallel test harness and "make -n".
  # See also sister test 'parallel-tests-dry-run-1.test'.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
Simple merge
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Check that the parallel-tests harness does not hit errors due to
 -# an exceeded command line length when there are many tests.
 +# Check that the parallel testsuite harness does not hit errors due
 +# to an exceeded command line length when there are many tests.
  # For automake bug#7868.  This test is currently expected to fail.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
Simple merge
Simple merge
  # You should have received a copy of the GNU General Public License
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 -# Check that the parallel-tests driver creates parent directories for
 +# Check that the parallel test harness creates parent directories for
  # the log files when needed.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
Simple merge
Simple merge
diff --cc t/remake6.sh
@@@ -37,9 -37,9 +37,9 @@@ $MAK
  
  do_check ()
  {
-   $MAKE >stdout || { cat stdout; Exit 1; }
+   $MAKE >stdout || { cat stdout; exit 1; }
    cat stdout
 -  test $(grep -c " --run " stdout) -eq 1
 +  test $(grep -c "/missing " stdout) -eq 1
  }
  
  # Now, we are set up.  Ensure that, for either missing Makefile.in,
diff --cc t/req.sh
+++ b/t/req.sh
  
  # Test to make sure macro used in m4 file is included.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat > configure.ac <<EOF
 -AC_INIT
 +AC_INIT([$me], [1.0])
  AM_INIT_GUILE_MODULE
  EOF
  
@@@ -35,21 -38,21 +38,21 @@@ run_dummy_test (
  }
  
  run_dummy_test '(exit 77); exit 77'
- test $? -eq 77 || Exit 1
+ test $? -eq 77 || exit 1
  
  run_dummy_test 'sh -c "exit 77"' am_explicit_skips=no
- test $? -eq 77 || Exit 1
+ test $? -eq 77 || exit 1
  
 -run_dummy_test '(exit 77); exit 77' am_explicit_skips=yes 
 +run_dummy_test '(exit 77); exit 77' am_explicit_skips=yes
- test $? -eq 78 || Exit 1
+ test $? -eq 78 || exit 1
  
  run_dummy_test 'sh -c "exit 77"' am_explicit_skips=y
- test $? -eq 78 || Exit 1
+ test $? -eq 78 || exit 1
  
- run_dummy_test 'Exit 77' am_explicit_skips=yes
- test $? -eq 77 || Exit 1
+ run_dummy_test 'exit 77' am_explicit_skips=yes
+ test $? -eq 77 || exit 1
  
  run_dummy_test 'skip_ "foo"' am_explicit_skips=y
- test $? -eq 77 || Exit 1
+ test $? -eq 77 || exit 1
  
  :
  # from config.site, and that this default can be overridden from
  # either the ./configure or make command line.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac <<'EOF'
 -AM_SILENT_RULES
 +# This line will be edited later to force silent-rules default.
  AC_OUTPUT
  EOF
  
diff --cc t/silent-lex.sh
Simple merge
Simple merge
Simple merge
Simple merge
Simple merge
diff --cc t/silent.sh
Simple merge
diff --cc t/silent2.sh
Simple merge
diff --cc t/silent3.sh
Simple merge
diff --cc t/silent4.sh
Simple merge
diff --cc t/silent6.sh
  
  # Check user extensibility of silent-rules mode.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >>configure.ac <<'EOF'
 -AM_SILENT_RULES
  AC_CONFIG_FILES([sub/Makefile])
  AC_OUTPUT
  EOF
diff --cc t/silent7.sh
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  # Check user extensibility of silent-rules mode.
 +# Aslo check that silent rules are disabled by default.
  
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -cat >>configure.ac <<'EOF'
 -AM_SILENT_RULES
 -AC_OUTPUT
 -EOF
 +echo AC_OUTPUT >> configure.ac
  
  cat > Makefile.am <<'EOF'
  all-local: foo
@@@ -39,12 -41,10 +39,12 @@@ $ACLOCA
  $AUTOMAKE --add-missing
  $AUTOCONF
  
 -./configure --disable-silent-rules
 +# Silent rules are disabled by default, since we haven't called
 +# "AM_SILENT_RULES([yes])" explicitly.
 +./configure
- $MAKE >stdout || { cat stdout; Exit 1; }
+ $MAKE >stdout || { cat stdout; exit 1; }
  cat stdout
- grep 'GEN ' stdout && Exit 1
+ grep 'GEN ' stdout && exit 1
  grep 'cp ' stdout
  grep 'echo ' stdout
  
diff --cc t/silent8.sh
  
  # Check texinfo rules in silent-rules mode.
  
 -required='makeinfo-html tex texi2dvi-o dvips'
 +required='makeinfo tex texi2dvi dvips'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
 -cat >>configure.ac <<'EOF'
 -AM_SILENT_RULES
 -AC_OUTPUT
 -EOF
 +echo AC_OUTPUT >> configure.ac
  
  cat > Makefile.am <<'EOF'
  info_TEXINFOS = foo.texi
diff --cc t/silent9.sh
Simple merge
Simple merge
diff --cc t/silentcxx.sh
Simple merge
diff --cc t/silentf77.sh
Simple merge
diff --cc t/silentf90.sh
Simple merge
diff --cc t/stamph2.sh
  # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  # Make sure stamp-h* files are created where we expect
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << END
 -AM_CONFIG_HEADER([1.h
 -                  2.h:config.hin
 -                  3.h:sdir1/config1.hin])
 -# AM_CONFIG_HEADER and AC_CONFIG_HEADERS should be synonyms.
 +AC_CONFIG_HEADERS([1.h
 +                   2.h:config.hin
 +                   3.h:sdir1/config1.hin])
  AC_CONFIG_HEADERS([sdir1/4.h
                     sdir1/5.h:config.hin
                     sdir1/6.h:sdir1/config1.hin
diff --cc t/tap-doc2.sh
Simple merge
Simple merge
Simple merge
Simple merge
@@@ -17,8 -17,8 +17,8 @@@
  # The pdf, ps and dvi targets shouldn't let clutter in the build directory.
  # Related to automake bug#11146.
  
 -required='makeinfo tex texi2dvi-o dvips'
 +required='makeinfo tex texi2dvi dvips'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  mkdir sub
  
@@@ -93,8 -93,7 +93,8 @@@ for fmt in info pdf ps dvi html all; d
    $MAKE $fmt
    ls -l . sub # For debugging.
    ls -d foo* baz* sub/bar* > lst
 -  $EGREP -v '^(foo|sub/bar|baz)\.(texi|dvi|ps|pdf|html|info)$' lst && exit 1
 +  $EGREP -v '^(foo|sub/bar|baz)\.(texi|dvi|ps|pdf|html|info|t2[dp])$' \
-     lst && Exit 1
++    lst && exit 1
    $MAKE clean
  done
  
diff --cc t/txinfo13.sh
@@@ -18,8 -18,8 +18,8 @@@
  # Also make sure we do not distribute too much foo.info* files (Report
  # from Vincent Lefevre).
  
 -required='makeinfo tex texi2dvi-o'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  echo AC_OUTPUT >> configure.ac
  
diff --cc t/txinfo21.sh
@@@ -17,8 -17,8 +17,8 @@@
  # Test support for building HTML documentation, and the many
  # install-DOC flavors.
  
 -required='makeinfo-html tex texi2dvi'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >>configure.ac <<\EOF
  AC_CONFIG_FILES([rec/Makefile])
diff --cc t/txinfo23.sh
@@@ -19,8 -19,8 +19,8 @@@
  # (Similar to txinfo13.test, plus DISTCLEANFILES).
  # (See also txinfo24.test and txinfo25.test).
  
 -required='makeinfo tex texi2dvi-o'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
diff --cc t/txinfo24.sh
@@@ -18,8 -18,8 +18,8 @@@
  # (Similar to txinfo16.test, plus CLEANFILES).
  # (See also txinfo23.test and txinfo25.test).
  
 -required='makeinfo tex texi2dvi-o'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
diff --cc t/txinfo25.sh
@@@ -20,8 -20,8 +20,8 @@@
  # (Similar to txinfo16.test, plus CLEANFILES).
  # (See also txinfo23.test and txinfo24.test).
  
 -required='makeinfo tex texi2dvi-o'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  cat >> configure.ac << 'END'
  AC_OUTPUT
diff --cc t/txinfo28.sh
@@@ -19,8 -19,8 +19,8 @@@
  # references.
  # Report from Ralf Corsepius.
  
 -required='makeinfo tex texi2dvi-o'
 +required='makeinfo tex texi2dvi'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  # This setting, when honored by GNU ls, used to cause an infinite loop
  # in mdate-sh.
diff --cc t/txinfo33.sh
@@@ -17,8 -17,8 +17,8 @@@
  # DVIS, PDFS, PSS, HTMLS should not be cleaned upon 'mostlyclean'.
  # Similar to txinfo25.test.
  
 -required='makeinfo tex texi2dvi-o dvips'
 +required='makeinfo tex texi2dvi dvips'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  mkdir sub
  
diff --cc t/vtexi4.sh
@@@ -21,8 -21,8 +21,8 @@@
  # for more vers*.texi files, and does not require makeinfo, tex and
  # texi2dvi.
  
 -required='makeinfo tex texi2dvi-o grep-nonprint'
 +required='makeinfo tex texi2dvi grep-nonprint'
- . ./defs || Exit 1
+ . ./defs || exit 1
  
  test $(LC_ALL=C date '+%u') -gt 0 && test $(LC_ALL=C date '+%u') -lt 8 \
    && day=$(LC_ALL=C date '+%d')   && test -n "$day" \